[SCM] massXpert mass spectrometry suite: debian packaging branch, upstream, updated. 41a70205093791df401b34b6867e830c5a46d1f9

Filippo Rusconi rusconi at mnhn.fr
Wed Apr 15 15:42:54 UTC 2009


The following commit has been merged in the upstream branch:
commit 9c2aba3d7f8d9e946e81ded56a4e3f43f794bc05
Author: Filippo Rusconi <rusconi at mnhn.fr>
Date:   Tue Apr 14 22:30:43 2009 +0200

    Improved the build workflow (debian-related and not) after the switch to UseLATEX.cmake for building the usermanual.

diff --git a/.gitignore b/.gitignore
index 996a113..d476c2d 100644
--- a/.gitignore
+++ b/.gitignore
@@ -31,7 +31,6 @@ usermanual/massxpert.lot
 usermanual/massxpert.out
 usermanual/massxpert.pdf
 usermanual/massxpert.toc
-usermanual/massxpert-version.tex
 usermanual/massxpert.ilg
 usermanual/massxpert.ind
 
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 5abfd87..96cdfac 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -233,7 +233,3 @@ MESSAGE (STATUS "MASSXPERT_DOC_DIR: " ${MASSXPERT_DOC_DIR})
 MESSAGE (STATUS "MASSXPERT_USERMAN_DIR: " ${MASSXPERT_USERMAN_DIR})
 MESSAGE ("~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~")
 MESSAGE ("")
-
-
-
-
diff --git a/debian/rules b/debian/rules
index 294bc8d..8fae596 100755
--- a/debian/rules
+++ b/debian/rules
@@ -51,8 +51,9 @@ clean:
 	rm -rf $(BUILD_ARCH_DIR)
 	rm -rf $(INSTALL_INDEP_DIR) $(INSTALL_ARCH_DIR)
 
+# No more used because we now use CMake with UseLATEX.cmake
 # The following is for the user manual
-	cd $(CURDIR)/usermanual && $(MAKE) distclean
+#	cd $(CURDIR)/usermanual && $(MAKE) distclean
 
 
 build-indep-stamp: 
@@ -66,8 +67,10 @@ build-indep-stamp:
 	cd $(BUILD_INDEP_DIR) && $(CMAKE) -D BUILD_PROGRAM=0 -D BUILD_DATA=1 \
 	-D BUILD_USERMANUAL=1 -D CMAKE_INSTALL_PREFIX=/usr ../.. 
 
-	cd $(CURDIR)/usermanual && $(MAKE) -f Makefile all_no_reload
-
+	# No more this way, as we now use CMake with UseLATEX.cmake
+	# cd $(CURDIR)/usermanual && $(MAKE) -f Makefile all_no_reload
+	$(MAKE) -C $(BUILD_INDEP_DIR)
+	
 	touch build-indep-stamp
 
 
@@ -171,3 +174,4 @@ binary-arch: install-arch-stamp
 
 .PHONY: binary
 binary: binary-indep binary-arch
+
diff --git a/maint-scripts/functions.sh b/maint-scripts/functions.sh
index bbd7a54..93481b8 100644
--- a/maint-scripts/functions.sh
+++ b/maint-scripts/functions.sh
@@ -10,6 +10,8 @@ sourceVersion ()
 
 checkUsermanualIntegrity ()
 {
+    cd $1 || { echo "Failed to change directory to $1"; exit 1; }
+
     # Invert match with -v so that not finding the string is success
     # to keep bash's set -e happy.
 
@@ -20,11 +22,17 @@ checkUsermanualIntegrity ()
 	echo "massxpert-version.tex is not present"
 	exit 1
     fi
+    
+    cd -
 }
 
 usermanualVersion ()
 {
+    cd $1 || { echo "Failed to change directory to $1"; exit 1; }
+
     echo $(grep ver massxpert-version.tex | sed 's/^.*}{//' | sed 's/}//')
+
+    cd -
 }
 
 makeUsermanualPdf ()
@@ -123,14 +131,21 @@ makeSourceTarball ()
 	echo "Please remove them first."
 	exit 1
     fi
-    fileList=$(find -name "*-bkp*")
+    fileList=$(find -regex ".*-bkp*")
     
     if [ ! -z "${fileList}" ]
     then
-	echo "There are backup files (*-bkp*) still present:"
-	echo "${fileList}"
-	echo "Please remove them first."
-	exit 1
+	for item in ${fileList}
+	do
+	    echo $item | grep "\.git"
+	    if [ "$?" !=  "0" ]
+	    then 
+		echo "There are backup files (*-bkp*) still present:"
+		echo "${fileList}"
+		echo "Please remove them first."
+		exit 1
+	    fi
+	done
     fi
     
 
diff --git a/maint-scripts/prepare-debbench b/maint-scripts/prepare-debbench
index 7f95bb6..806527e 100755
--- a/maint-scripts/prepare-debbench
+++ b/maint-scripts/prepare-debbench
@@ -34,13 +34,13 @@ cd usermanual
 
 # First ensure all the subdocuments are inputted in master tex file.
 
-checkUsermanualIntegrity || { echo "The User Manual does not include all subdocuments"; exit 1; }
+checkUsermanualIntegrity $HOME/devel/b/usermanual || { echo "The User Manual does not include all subdocuments"; exit 1; }
 
 
 # Second, make sure that the version of the user manual matches the
 # version of the source package.
 
-if [ $(usermanualVersion) != "${VERSION}" ]
+if [ $(usermanualVersion $HOME/devel/b/usermanual) != "${VERSION}" ]
     then
     echo "User Manual has version different than Source package"
     exit 1
diff --git a/usermanual/CMakeLists.txt b/usermanual/CMakeLists.txt
index 1f5bca4..4aac62f 100644
--- a/usermanual/CMakeLists.txt
+++ b/usermanual/CMakeLists.txt
@@ -21,14 +21,5 @@ if (UNIX AND NOT APPLE)
 ENDIF (UNIX AND NOT APPLE)
 
 
-INSTALL (FILES massxpert.pdf
+INSTALL (FILES ${CMAKE_BINARY_DIR}/usermanual/massxpert.pdf
   DESTINATION ${MASSXPERT_USERMAN_DIR})
-
-# Still exploring this...
-
-#ADD_CUSTOM_TARGET (install-manual
-#  DEPENDS massxpert.pdf
-#  COMMAND ${CMAKE_COMMAND} -E  make_directory $ENV{DESTDIR}/${MASSXPERT_USERMAN_DIR} && ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/usermanual/massxpert.pdf $ENV{DESTDIR}/${MASSXPERT_USERMAN_DIR}
-#  COMMENT "Installing the user manual")
-#
-#MESSAGE (STATUS "DESDIR: " $ENV{DESTDIR})
diff --git a/usermanual/Makefile b/usermanual/Makefile
deleted file mode 100644
index 75d2f2e..0000000
--- a/usermanual/Makefile
+++ /dev/null
@@ -1,52 +0,0 @@
-single:
-	@echo "Single compilation"
-	pdflatex massxpert.tex
-	@xpdf -remote "massxpert-server" -reload
-
-index:
-	@echo "Index compilation"
-	pdflatex massxpert.tex
-	makeindex massxpert.idx
-	pdflatex massxpert.tex
-	@xpdf -remote "massxpert-server" -reload
-full:
-	@echo "Full compilation"
-	pdflatex massxpert.tex
-	pdflatex massxpert.tex
-	makeindex massxpert.idx
-	pdflatex massxpert.tex
-	pdflatex massxpert.tex
-	@xpdf -remote "massxpert-server" -reload
-
-all_no_reload:
-	@echo "Full compilation without reload"
-	pdflatex massxpert.tex
-	pdflatex massxpert.tex
-	makeindex massxpert.idx
-	pdflatex massxpert.tex
-	pdflatex massxpert.tex
-
-clean:
-	@echo "Cleaning source tree"
-	rm -f *.aux *.dvi *.lof 
-	rm -f *.log *.lot *.bbl 
-	rm -f *.blg *.snm *.nav
-	rm -f *.out *.toc *~
-	rm -f *.idx *.ilg *.ind
-
-distclean: clean
-	@echo "Making distclean"
-	rm -f massxpert.pdf
-
-maintainerclean: distclean
-	@echo "Making maintainerclean"
-	rm -f massxpert-version.tex
-
-reader:
-	@xpdf -remote "massxpert-server" massxpert.pdf &
-
-emacs:
-	emacs massxpert.tex &
-
-
-.PHONY: single index full all_no_reload clean distclean maintainerclean reader emacs

-- 
massXpert mass spectrometry suite: debian packaging



More information about the debian-science-commits mailing list